#include <bits/stdc++.h>

using namespace std;

int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(NULL);
    cout.tie(NULL);
    int n,l;
    cin>>n>>l;
    vector<int> v(n);

    for(int i=0;i<n;i++) cin>>v[i];

    for(int i=0;i<n;i++)
    {
        if(v[i]<=l)
        {
            cout<<i+1<<endl;
            return 0;
        }
    }
    cout<<-1<<endl;
    return 0;
}